body {
    font-family: Arial, sans-serif;
    background-color: #f4f4f4;
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: start;
    height: 100vh;
    box-sizing: border-box;
    padding: 20px;
}

.container {
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    width: 100%;
    max-width: 600px;
    box-sizing: border-box;
    margin: 20px;
}

h2 {
    text-align: center;
    color: #333;
    margin-top: 0;
}

.themes {
    margin-top: 20px;
}

.theme {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 0;
    border-bottom: 1px solid #ccc;
}

.theme:last-child {
    border-bottom: none;
}

.name {
    flex: 1;
    margin-right: 10px;
    word-break: break-word;
}

.link {
    margin-right: 10px;
    word-break: break-word;
}

.link a {
    color: #007BFF;
    text-decoration: none;
    transition: color 0.3s;
}

.link a:hover {
    color: #0056b3;
}

.add-button {
    display: block;
    width: 100%;
    padding: 10px 0;
    margin-bottom: 20px;
    background-color: #007BFF;
    color: white;
    text-align: center;
    text-decoration: none;
    border-radius: 4px;
    transition: background-color 0.3s;
}
